American-transaction costs 1.0.0.0 American option pricer under proportional transaction costs

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
StatisticsGathererFinal< T > Class Template Reference

Collects all objects of interest at final time step only (not tested). More...

`#include <final.h>`

Inheritance diagram for StatisticsGathererFinal< T >:

List of all members.

## Public Member Functions
virtual void | dump_result (const size_t t, const size_t k, const T &object)
| operator T () const
T & | operator() (const size_t k)
T | operator() (const size_t k) const
std::vector< T > & | operator[] (const size_t k)
std::vector< T > | operator[] (const size_t k) const
size_t | size () const
| StatisticsGathererFinal (const size_t N)

## Detailed Description

### template<class T>
class StatisticsGathererFinal< T >

Collects all objects of interest at final time step only (not tested).

## Constructor & Destructor Documentation

template<class T >

StatisticsGathererFinal< T >::StatisticsGathererFinal | ( | const size_t | N | ) | `[inline]`

Constructor.

Parameters:

  N | The final time step.

## Member Function Documentation

template<class T >

virtual void StatisticsGathererFinal< T >::dump_result | ( | const size_t | t,
|  | const size_t | k,
|  | const T & | object
| ) |  | `[inline, virtual]`

Collects intance of object T at time t at node k.

Reimplemented from StatisticsGatherer< T >.

template<class T >

StatisticsGathererFinal< T >::operator T | ( |  | ) | const`[inline]`

template<class T >

T StatisticsGathererFinal< T >::operator() | ( | const size_t | k | ) | const`[inline]`

template<class T >

T& StatisticsGathererFinal< T >::operator() | ( | const size_t | k | ) | `[inline]`

template<class T >

std::vector<T>& StatisticsGathererFinal< T >::operator[] | ( | const size_t | k | ) | `[inline]`

template<class T >

std::vector<T> StatisticsGathererFinal< T >::operator[] | ( | const size_t | k | ) | const`[inline]`

template<class T >

size_t StatisticsGathererFinal< T >::size | ( |  | ) | const`[inline]`

Number of scenarios.

The documentation for this class was generated from the following file:

- statisticsgatherer/final.h

All Classes Namespaces Files Functions Variables Typedefs Defines